Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0035980
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] A. PlatformminorN/A2017-05-12 08:282017-06-01 08:51
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PriorityhighResolutionfixedFixed in Version3.0PR17Q3
StatusclosedFix in branchFixed in SCM revision2a1a09ee6e68
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0035980: Improve the time spent to load the widgets after log-in

DescriptionAfter the set of projects to improve the log-in process, the requests that are fired to load the widgets in the Workspace, right after the log-in, is the most time consuming request being performed.

It would be nice to apply some performance improvements to reduce the time spent by those requests.

See http://wiki.openbravo.com/wiki/Projects:Widget_Loading_Improvements [^]
Steps To ReproduceIn description
TagsPerformance
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to feature request 0035386 closedcaristu Login page needs some clean up 
related to feature request 0035553 closedcaristu Improve scalability of the login process 
related to feature request 0035852 closedcaristu Add a mechanism to cache the static resources 
has duplicate defect 0033677 closedplatform 'Refresh' of widgets in workspace takes very long with user having access to many organizations 
related to defect 0036004 acknowledgedplatform Review widget definitions included in the standard distribution 
related to defect 0038096 closedcaristu Is not possible to disable the access for a widget by deactivating the role access 
related to defect 0041874 acknowledgedplatform cleanup MyOpenbravoWidgetComponent 
causes defect 0040009 closedcaristu Concurrency problems in MyOpenbravoActionHandler 

-  Notes
(0096621)
hgbot (developer)
2017-05-16 16:29

Repository: erp/devel/pi
Changeset: 2a1a09ee6e6852cb977efa1a987e27d2811e9127
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Tue May 16 16:22:52 2017 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/2a1a09ee6e6852cb977efa1a987e27d2811e9127 [^]

fixes issue 35980: Improve the time spent to load the widgets after log-in

---
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOBUtils.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOpenbravoActionHandler.java
M modules/org.openbravo.client.myob/src/org/openbravo/client/myob/MyOpenbravoComponent.java
M modules/org.openbravo.client.myob/web/org.openbravo.client.myob/js/ob-myopenbravo.js
A modules/org.openbravo.client.myob/src/org/openbravo/client/myob/WidgetClassInfo.java
---
(0096969)
hudsonbot (developer)
2017-05-29 17:43

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/1ee70113bdc4 [^]
Maturity status: Test
(0097066)
alostale (developer)
2017-06-01 08:51

reviewed within project

- Issue History
Date Modified Username Field Change
2017-05-12 08:28 caristu New Issue
2017-05-12 08:28 caristu Assigned To => platform
2017-05-12 08:28 caristu Modules => Core
2017-05-12 08:28 caristu Triggers an Emergency Pack => No
2017-05-12 08:28 caristu Status new => scheduled
2017-05-12 08:31 caristu Relationship added related to 0035386
2017-05-12 08:31 caristu Relationship added related to 0035553
2017-05-12 08:31 caristu Relationship added related to 0035852
2017-05-12 14:15 caristu Summary Improve the time spent to load the widgets after the log-in => Improve the time spent to load the widgets after log-in
2017-05-15 11:12 caristu Tag Attached: Performance
2017-05-16 11:22 caristu Relationship added related to 0036004
2017-05-16 16:29 hgbot Checkin
2017-05-16 16:29 hgbot Note Added: 0096621
2017-05-16 16:29 hgbot Status scheduled => resolved
2017-05-16 16:29 hgbot Resolution open => fixed
2017-05-16 16:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/2a1a09ee6e6852cb977efa1a987e27d2811e9127 [^]
2017-05-16 16:30 caristu Review Assigned To => alostale
2017-05-29 17:43 hudsonbot Checkin
2017-05-29 17:43 hudsonbot Note Added: 0096969
2017-05-31 12:36 caristu Assigned To platform => caristu
2017-06-01 08:51 alostale Note Added: 0097066
2017-06-01 08:51 alostale Status resolved => closed
2017-06-01 08:51 alostale Fixed in Version => 3.0PR17Q3
2017-07-28 11:20 alostale Relationship added has duplicate 0033677
2018-03-09 15:15 caristu Relationship added related to 0038096
2019-01-23 17:32 caristu Relationship added causes 0040009
2019-09-24 07:46 alostale Relationship added related to 0041874


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker